package com.winhc.test;

import com.winhc.db.mongodb.dataobject.NodeRelationError;
import com.winhc.db.mongodb.repository.NodeRelatonErrorRepository;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import java.util.ArrayList;
import java.util.Date;

/**
 * @author π
 * @Description:
 * @date 2021/1/15 16:43
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class TestMongo {
    @Autowired
    NodeRelatonErrorRepository nodeRelatonErrorRepository;

    @Test
    public void saveData() {
        ArrayList<NodeRelationError> list = new ArrayList<>();
        NodeRelationError n1 = new NodeRelationError();
        n1.setCreateTime(new Date());
        n1.setUpdateTime(new Date());
        n1.setConsumerMessage("{\"start_id\":\"ccdb46273f28d95206f90ea8e1705457\",\"start_name\":\"上饶市广信区田田圈病虫害防治专业合作社\",\"end_id\":\"005d1d5608f046d3b57f725730354494\",\"end_name\":\"\",\"percent\":0.2333,\"deleted\":0,\"holder_type\":2}");
        n1.setErrorMessage("zero error");
        n1.setStatus(1);
        n1.setTopicType("5");
        list.add(n1);
        nodeRelatonErrorRepository.saveAll(list);
    }
}
